ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

Json

Synopsis

- data JsonDoc where
  - JSNull :: JsonDoc
  - JSBool :: Bool -> JsonDoc
  - JSInt :: Int -> JsonDoc
  - JSString :: String -> JsonDoc
  - JSArray :: [JsonDoc] -> JsonDoc
  - JSObject :: [(String, JsonDoc)] -> JsonDoc
- renderJSON :: JsonDoc -> SDoc
- escapeJsonString :: String -> String
- class ToJson a where

# Documentation

data JsonDoc where #

Simple data type to represent JSON documents.

Constructors

JSNull :: JsonDoc |
JSBool :: Bool -> JsonDoc |
JSInt :: Int -> JsonDoc |
JSString :: String -> JsonDoc |
JSArray :: [JsonDoc] -> JsonDoc |
JSObject :: [(String, JsonDoc)] -> JsonDoc |

renderJSON :: JsonDoc -> SDoc #

escapeJsonString :: String -> String #

class ToJson a where #

Minimal complete definition

json

Methods

json :: a -> JsonDoc #

Instances

ToJson SrcSpan # |
Methods json :: SrcSpan -> JsonDoc #
ToJson RealSrcSpan # |
Methods json :: RealSrcSpan -> JsonDoc #
ToJson Severity # |
Methods json :: Severity -> JsonDoc #
ToJson WarnReason # |
Methods json :: WarnReason -> JsonDoc #